javax.jws

## Enum WebParam.Mode

- java.lang.Object
- - java.lang.Enum<WebParam.Mode>
  - - javax.jws.WebParam.Mode

All Implemented Interfaces:
  Serializable, Comparable<WebParam.Mode>

Enclosing class:
  WebParam

    public static enum WebParam.Mode
    extends Enum<WebParam.Mode>

The direction in which the parameter flows

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`IN`
`INOUT`
`OUT`

### Method Summary

Methods
`static WebParam.Mode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static WebParam.Mode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### IN

    public static final WebParam.Mode IN

#### OUT

    public static final WebParam.Mode OUT

#### INOUT

    public static final WebParam.Mode INOUT

### Method Detail

#### values

    public static WebParam.Mode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WebParam.Mode c : WebParam.Mode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WebParam.Mode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.